/*
 *  AreaLight.h
 *  FinalImage
 *
 *  Created by Zach Gildersleeve on 4/13/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef AREALIGHT_H
#define AREALIGHT_H

#include "Vector.h"
#include "Color.h"
#include "Light.h"

class AreaLight : public Light {
public:
	AreaLight(const Point &newP1, const Point &newP2, const Point &newP3, const Color &newLightColor);
	virtual ~AreaLight();
	
	virtual void preprocess();
	virtual double getLight(Color &color, Vector &lightDirection, const RenderContext &context,
							const Point &location) const;
		
private:
	Point position;
	Vector v1;
	Vector v2;
	Color lightColor;
};



#endif