/*
 *  GradientBackground.c
 *  Assignment2
 *
 *  Created by Zach Gildersleeve on 1/27/07.
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 *
 */

#include "GradientBackground.h"

GradientBackground::GradientBackground(Color newColor1, Color newColor2, Vector newUp)
										: color1(newColor1), color2(newColor2), up(newUp) {
	
}

GradientBackground::~GradientBackground() {
	
}

void GradientBackground::preprocess() {
	
}

void GradientBackground::getBackgroundColor(Color &result, const RenderContext &context, const Ray &ray) {
	Vector rayDir = ray.getDirection();
	double s = dot(rayDir, up) / (rayDir.length() * up.length());
	s /= -0.14;
	//printf("%f\n", s);
	result = color1 * s + color2 * (1.0 - s);
}